Commit 6dbe8b46 authored by Christian Schaller's avatar Christian Schaller

various fixes to make it possible to build rpms from gst-plugins head

Original commit message from CVS:
various fixes to make it possible to build rpms from gst-plugins head
parent 731b91bb
......@@ -15,13 +15,13 @@ endif
SUBDIRS = \
gst sys ext \
$(GCONF_DIR) \
m4
m4 common
# disabled
# $(SUBDIRS_DOCS)
DIST_SUBDIRS = \
gst sys ext \
m4
m4 common
# disabled
# docs
......
......@@ -12,7 +12,7 @@ AM_MAINTAINER_MODE
dnl when going to/from release please set the nano (fourth number) right !
dnl releases only do Wall, cvs and prerelease does Werror too
AS_VERSION(gst-plugins, GST_PLUGINS_VERSION, 0, 8, 90, 1, GST_CVS="no", GST_CVS="yes")
AS_VERSION(gst-plugins, GST_PLUGINS_VERSION, 0, 9, 0, 1, GST_CVS="no", GST_CVS="yes")
AM_INIT_AUTOMAKE($PACKAGE,$VERSION)
......
......@@ -37,51 +37,51 @@ BuildRequires: gstreamer-tools >= %{gst_minver}
BuildRequires: gcc-c++
BuildRequires: XFree86-devel
@USE_AUDIOFILE_TRUE@Requires: audiofile >= 0.2.1
@USE_AUDIOFILE_TRUE@BuildRequires: audiofile-devel >= 0.2.1
@USE_CDPARANOIA_TRUE@Requires: cdparanoia-libs >= alpha9.7
@USE_CDPARANOIA_TRUE@BuildRequires: cdparanoia-devel >= alpha9.7
@USE_ESD_TRUE@Requires: esound >= 0.2.8
@USE_ESD_TRUE@BuildRequires: esound-devel >= 0.2.8
@USE_ESD_TRUE@Obsoletes: gstreamer-esd
@USE_ESD_TRUE@
@USE_ESD_TRUE@Provides: gstreamer-audiosrc
@USE_ESD_TRUE@Provides: gstreamer-audiosink
@USE_FLAC_TRUE@Requires: flac >= 1.0.3
@USE_FLAC_TRUE@BuildRequires: flac-devel >= 1.0.3
@USE_GCONF_TRUE@Requires: GConf2
@USE_GCONF_TRUE@BuildRequires: GConf2-devel
@USE_GNOME_VFS_TRUE@Requires: gnome-vfs2 > 1.9.4.00
@USE_GNOME_VFS_TRUE@BuildRequires: gnome-vfs2-devel > 1.9.4.00
@USE_HERMES_TRUE@Requires: Hermes >= 1.3.0
@USE_HERMES_TRUE@BuildRequires: Hermes-devel >= 1.3.0
@USE_JPEG_TRUE@Requires: libjpeg
@USE_JPEG_TRUE@BuildRequires: libjpeg-devel
@USE_LIBPNG_TRUE@Requires: libpng >= 1.2.0
@USE_LIBPNG_TRUE@BuildRequires: libpng-devel >= 1.2.0
@USE_MIKMOD_TRUE@Requires: mikmod
@USE_MIKMOD_TRUE@BuildRequires: mikmod
@USE_OSS_TRUE@BuildRequires: glibc-devel
@USE_PANGO_TRUE@Requires: pango
@USE_PANGO_TRUE@BuildRequires: pango-devel
# @USE_AUDIOFILE_TRUE@Requires: audiofile >= 0.2.1
# @USE_AUDIOFILE_TRUE@BuildRequires: audiofile-devel >= 0.2.1
# @USE_CDPARANOIA_TRUE@Requires: cdparanoia-libs >= alpha9.7
# @USE_CDPARANOIA_TRUE@BuildRequires: cdparanoia-devel >= alpha9.7
# @USE_ESD_TRUE@Requires: esound >= 0.2.8
# @USE_ESD_TRUE@BuildRequires: esound-devel >= 0.2.8
# @USE_ESD_TRUE@Obsoletes: gstreamer-esd
# @USE_ESD_TRUE@
# @USE_ESD_TRUE@Provides: gstreamer-audiosrc
# @USE_ESD_TRUE@Provides: gstreamer-audiosink
# @USE_FLAC_TRUE@Requires: flac >= 1.0.3
# @USE_FLAC_TRUE@BuildRequires: flac-devel >= 1.0.3
# @USE_GCONF_TRUE@Requires: GConf2
# @USE_GCONF_TRUE@BuildRequires: GConf2-devel
# @USE_GNOME_VFS_TRUE@Requires: gnome-vfs2 > 1.9.4.00
# @USE_GNOME_VFS_TRUE@BuildRequires: gnome-vfs2-devel > 1.9.4.00
# @USE_HERMES_TRUE@Requires: Hermes >= 1.3.0
# @USE_HERMES_TRUE@BuildRequires: Hermes-devel >= 1.3.0
# @USE_JPEG_TRUE@Requires: libjpeg
# @USE_JPEG_TRUE@BuildRequires: libjpeg-devel
# @USE_LIBPNG_TRUE@Requires: libpng >= 1.2.0
# @USE_LIBPNG_TRUE@BuildRequires: libpng-devel >= 1.2.0
# @USE_MIKMOD_TRUE@Requires: mikmod
# @USE_MIKMOD_TRUE@BuildRequires: mikmod
# @USE_OSS_TRUE@BuildRequires: glibc-devel
# @USE_PANGO_TRUE@Requires: pango
# @USE_PANGO_TRUE@BuildRequires: pango-devel
# @USE_RAW1394_TRUE@Requires: libraw1394
# @USE_RAW1394_TRUE@BuildRequires: libraw1394-devel
@USE_SDL_TRUE@Requires: SDL >= 1.2.0
@USE_SDL_TRUE@BuildRequires: SDL-devel >= 1.2.0
@USE_SDL_TRUE@#SDL-devel should require XFree86-devel because it links to it
@USE_SDL_TRUE@#only it doesn't seem to do that currently
@USE_SDL_TRUE@BuildRequires: XFree86-devel
@USE_SPEEX_TRUE@Requires: speex
@USE_SPEEX_TRUE@BuildRequires: libspeex-devel
@USE_SMOOTHWAVE_TRUE@Requires: gtk2
@USE_SMOOTHWAVE_TRUE@BuildRequires: gtk2-devel
@USE_VORBIS_TRUE@Requires: libogg >= 1.0
@USE_VORBIS_TRUE@Requires: libvorbis >= 1.0
@USE_VORBIS_TRUE@BuildRequires: libogg-devel >= 1.0
@USE_VORBIS_TRUE@BuildRequires: libvorbis-devel >= 1.0
@USE_XVIDEO_TRUE@Requires: XFree86-libs
@USE_XVIDEO_TRUE@BuildRequires: XFree86-devel
@USE_HERMES_TRUE@@USE_LIBPNG_TRUE@Requires: libpng
# @USE_SDL_TRUE@Requires: SDL >= 1.2.0
# @USE_SDL_TRUE@BuildRequires: SDL-devel >= 1.2.0
# @USE_SDL_TRUE@#SDL-devel should require XFree86-devel because it links to it
# @USE_SDL_TRUE@#only it doesn't seem to do that currently
# @USE_SDL_TRUE@BuildRequires: XFree86-devel
# @USE_SPEEX_TRUE@Requires: speex
# @USE_SPEEX_TRUE@BuildRequires: libspeex-devel
# @USE_SMOOTHWAVE_TRUE@Requires: gtk2
# @USE_SMOOTHWAVE_TRUE@BuildRequires: gtk2-devel
# @USE_VORBIS_TRUE@Requires: libogg >= 1.0
# @USE_VORBIS_TRUE@Requires: libvorbis >= 1.0
# @USE_VORBIS_TRUE@BuildRequires: libogg-devel >= 1.0
# @USE_VORBIS_TRUE@BuildRequires: libvorbis-devel >= 1.0
# @USE_XVIDEO_TRUE@Requires: XFree86-libs
# @USE_XVIDEO_TRUE@BuildRequires: XFree86-devel
# @USE_HERMES_TRUE@# @USE_LIBPNG_TRUE@Requires: libpng
%description
GStreamer is a streaming-media framework, based on graphs of filters which
......@@ -122,175 +122,67 @@ rm -rf $RPM_BUILD_ROOT
%defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS
# helper programs
%{_bindir}/gst-launch-ext-%{majorminor}
%{_bindir}/gst-visualise-%{majorminor}
%{_mandir}/man1/gst-launch-ext-%{majorminor}.*
%{_mandir}/man1/gst-visualise-%{majorminor}*
# schema files
@USE_GCONF_TRUE@%{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas
# libraries
%{_libdir}/libgstplay-%{majorminor}.so.*
%{_libdir}/libgstinterfaces-%{majorminor}.so.*
@USE_GCONF_TRUE@%{_libdir}/libgstgconf-%{majorminor}.so.*
# plugin helper libraries
%{_libdir}/gstreamer-%{majorminor}/libgstaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstidct.so
%{_libdir}/gstreamer-%{majorminor}/libgstriff.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo.so
%{_libdir}/gstreamer-%{majorminor}/libgstxwindowlistener.so
# non-core plugins without external dependencies
%{_libdir}/gstreamer-%{majorminor}/libgstac3parse.so
%{_libdir}/gstreamer-%{majorminor}/libgstadder.so
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstasf.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioscale.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstavi.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdplayer.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdxaparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstchart.so
%{_libdir}/gstreamer-%{majorminor}/libgstcolorspace.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebug.so
%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{majorminor}/libgstefence.so
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstpuzzle.so
%{_libdir}/gstreamer-%{majorminor}/libgstfestival.so
%{_libdir}/gstreamer-%{majorminor}/libgstffmpegcolorspace.so
%{_libdir}/gstreamer-%{majorminor}/libgstfilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstgamma.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgstinterleave.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.so
%{_libdir}/gstreamer-%{majorminor}/libgstmedian.so
%{_libdir}/gstreamer-%{majorminor}/libgstmixmatrix.so
%{_libdir}/gstreamer-%{majorminor}/libgstmodplug.so
%{_libdir}/gstreamer-%{majorminor}/libgstmonoscope.so
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{majorminor}/libgstoverlay.so
%{_libdir}/gstreamer-%{majorminor}/libgstpassthrough.so
%{_libdir}/gstreamer-%{majorminor}/libgstplayondemand.so
%ifarch %{ix86}
%{_libdir}/gstreamer-%{majorminor}/libgstqcam.so
%endif
%{_libdir}/gstreamer-%{majorminor}/libgstresample.so
%{_libdir}/gstreamer-%{majorminor}/libgstrmdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtjpeg.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
%{_libdir}/gstreamer-%{majorminor}/libgstqtdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstsilence.so
%{_libdir}/gstreamer-%{majorminor}/libgstsinesrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmooth.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so
%{_libdir}/gstreamer-%{majorminor}/libgstspectrum.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeed.so
%{_libdir}/gstreamer-%{majorminor}/libgststereo.so
%{_libdir}/gstreamer-%{majorminor}/libgstsubparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstswitch.so
%{_libdir}/gstreamer-%{majorminor}/libgstsynaesthesia.so
%{_libdir}/gstreamer-%{majorminor}/libgstlibvisual.so
%{_libdir}/gstreamer-%{majorminor}/libgsttagedit.so
%{_libdir}/gstreamer-%{majorminor}/libgstapetag.so
%{_libdir}/gstreamer-%{majorminor}/libgsttta.so
%{_libdir}/gstreamer-%{majorminor}/libgsttcp.so
%{_libdir}/gstreamer-%{majorminor}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvbidec.so
%{_libdir}/gstreamer-%{majorminor}/libgstvcdsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobalance.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideocrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideodrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideofilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstgamma.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoflip.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoscale.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstvolenv.so
%{_libdir}/gstreamer-%{majorminor}/libgstvolume.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgsty4menc.so
%{_libdir}/gstreamer-%{majorminor}/libgstalpha.so
%{_libdir}/gstreamer-%{majorminor}/libgstalphacolor.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiorate.so
%{_libdir}/gstreamer-%{majorminor}/libgstdecodebin.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultifilesink.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultipart.so
%{_libdir}/gstreamer-%{majorminor}/libgstplaybin.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobox.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomixer.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideorate.so
%{_libdir}/gstreamer-%{majorminor}/libgsttheora.so
%{_libdir}/gstreamer-%{majorminor}/libgstmng.so
%{_libdir}/gstreamer-%{majorminor}/libgstequalizer.so
%{_libdir}/gstreamer-%{majorminor}/libgstrfbsrc.so
# gstreamer-plugins with external dependencies but in the main package
@USE_ARTS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstarts.so
@USE_ARTSC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstartsdsink.so
@USE_AUDIOFILE_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstaudiofile.so
@USE_CDPARANOIA_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstcdparanoia.so
@USE_ESD_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstesd.so
@USE_POLYP_TRUE@%{_libdir}/gstreamer-%{majorminor}/libpolypaudio.so
@USE_FLAC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstflac.so
@USE_GNOME_VFS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstgnomevfs.so
@USE_HERMES_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsthermescolorspace.so
@USE_SMOOTHWAVE_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsmoothwave.so
@USE_JPEG_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so
@USE_MIKMOD_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstmikmod.so
@USE_SDL_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsdlvideosink.so
@USE_VORBIS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstvorbis.so
@USE_VORBIS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstogg.so
@USE_LIBPNG_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstpng.so
@USE_OSS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
@USE_GST_V4L_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux.so
#@USE_RAW1394_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgst1394.so
# @USE_ARTS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstarts.so
# @USE_ARTSC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstartsdsink.so
# @USE_AUDIOFILE_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstaudiofile.so
# @USE_CDPARANOIA_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstcdparanoia.so
# @USE_ESD_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstesd.so
# @USE_POLYP_TRUE@%{_libdir}/gstreamer-%{majorminor}/libpolypaudio.so
# @USE_FLAC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstflac.so
# @USE_GNOME_VFS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstgnomevfs.so
# @USE_HERMES_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsthermescolorspace.so
# @USE_SMOOTHWAVE_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsmoothwave.so
# @USE_JPEG_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so
# @USE_MIKMOD_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstmikmod.so
# @USE_SDL_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsdlvideosink.so
# @USE_VORBIS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstvorbis.so
# @USE_VORBIS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstogg.so
# @USE_LIBPNG_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstpng.so
# @USE_OSS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
# @USE_GST_V4L_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux.so
## @USE_RAW1394_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgst1394.so
# Snapshot plugin uses libpng
@USE_LIBPNG_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsnapshot.so
@USE_PANGO_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsttextoverlay.so
@USE_PANGO_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsttimeoverlay.so
@USE_SPEEX_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so
@USE_LIBCACA_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstcacasink.so
@USE_XVIDEO_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstximagesink.so
@USE_XVIDEO_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstxvimagesink.so
@USE_SNDFILE_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsndfile.so
@USE_MUSICBRAINZ_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsttrm.so
# Docs
%{_datadir}/locale
# %{_datadir}/gtk-doc/html
# @USE_LIBPNG_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsnapshot.so
# @USE_PANGO_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsttextoverlay.so
# @USE_PANGO_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsttimeoverlay.so
# @USE_SPEEX_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so
# @USE_LIBCACA_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstcacasink.so
# @USE_XVIDEO_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstximagesink.so
# @USE_XVIDEO_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstxvimagesink.so
# @USE_SNDFILE_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsndfile.so
# @USE_MUSICBRAINZ_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsttrm.so
%post
@USE_GCONF_TRUE@export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
@USE_GCONF_TRUE@gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null
# @USE_GCONF_TRUE@export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
# @USE_GCONF_TRUE@gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null
%package audio
Summary: Additional audio plugins for GStreamer
Group: Applications/Multimedia
@USE_SIDPLAY_TRUE@BuildRequires: libsidplay-devel >= 1.36.0
@USE_SHOUT_TRUE@BuildRequires: libshout-devel <= 2.0
# @USE_SHOUT2_TRUE@BuildRequires: libshout-devel >= 2.0
@USE_LADSPA_TRUE@BuildRequires: ladspa-devel
# @USE_SIDPLAY_TRUE@BuildRequires: libsidplay-devel >= 1.36.0
# @USE_SHOUT_TRUE@BuildRequires: libshout-devel <= 2.0
# # @USE_SHOUT2_TRUE@BuildRequires: libshout-devel >= 2.0
# @USE_LADSPA_TRUE@BuildRequires: ladspa-devel
Requires: gstreamer-plugins >= %{gstp_minver}
Requires(pre): %{_bindir}/gst-register-%{majorminor}
Requires(post): %{_bindir}/gst-register-%{majorminor}
@USE_LADSPA_TRUE@Provides: gstreamer-ladspa = %{version}-%{release}
@USE_SIDPLAY_TRUE@Provides: gstreamer-sid = %{version}-%{release}
@USE_SHOUT_TRUE@Provides: gstreamer-shout = %{version}-%{release}
# @USE_LADSPA_TRUE@Provides: gstreamer-ladspa = %{version}-%{release}
# @USE_SIDPLAY_TRUE@Provides: gstreamer-sid = %{version}-%{release}
# @USE_SHOUT_TRUE@Provides: gstreamer-shout = %{version}-%{release}
%description audio
This package contains additional audio plugins for GStreamer, including
......@@ -301,10 +193,10 @@ This package contains additional audio plugins for GStreamer, including
%files audio
%defattr(-, root, root, -)
@USE_LADSPA_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstladspa.so
@USE_SIDPLAY_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsid.so
@USE_SHOUT_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstshout.so
# @USE_SHOUT2_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstshout2.so
# @USE_LADSPA_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstladspa.so
# @USE_SIDPLAY_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsid.so
# @USE_SHOUT_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstshout.so
# # @USE_SHOUT2_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstshout2.so
%post audio
%{register}
......@@ -315,9 +207,9 @@ This package contains additional audio plugins for GStreamer, including
Summary: Extra audio plugins for GStreamer
Group: Applications/Multimedia
@USE_FAAD_TRUE@BuildRequires: faad2-devel >= 2.0
@USE_GSM_TRUE@BuildRequires: gsm-devel >= 1.0.10
@USE_LAME_TRUE@BuildRequires: lame-devel >= 3.89
# @USE_FAAD_TRUE@BuildRequires: faad2-devel >= 2.0
# @USE_GSM_TRUE@BuildRequires: gsm-devel >= 1.0.10
# @USE_LAME_TRUE@BuildRequires: lame-devel >= 3.89
@USE_MAD_TRUE@BuildRequires: libid3tag-devel >= 0.15.0
@USE_MAD_TRUE@BuildRequires: libmad-devel >= 0.15.0
......@@ -325,10 +217,10 @@ Requires: gstreamer-plugins >= %{gstp_minver}
Requires(pre): %{_bindir}/gst-register-%{majorminor}
Requires(post): %{_bindir}/gst-register-%{majorminor}
@USE_FAAD_TRUE@Provides: gstreamer-faad = %{version}-%{release}
@USE_GSM_TRUE@Provides: gstreamer-gsm = %{version}-%{release}
@USE_LAME_TRUE@Provides: gstreamer-lame = %{version}-%{release}
@USE_MAD_TRUE@Provides: gstreamer-mad = %{version}-%{release}
# @USE_FAAD_TRUE@Provides: gstreamer-faad = %{version}-%{release}
# @USE_GSM_TRUE@Provides: gstreamer-gsm = %{version}-%{release}
# @USE_LAME_TRUE@Provides: gstreamer-lame = %{version}-%{release}
# @USE_MAD_TRUE@Provides: gstreamer-mad = %{version}-%{release}
%description extra-audio
This package contains extra audio plugins for GStreamer, including
......@@ -344,18 +236,18 @@ This package contains extra audio plugins for GStreamer, including
%files extra-audio
%defattr(-, root, root, -)
@USE_FAAD_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstfaad.so
@USE_GSM_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstgsm.so
@USE_LAME_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstlame.so
# @USE_FAAD_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstfaad.so
# @USE_GSM_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstgsm.so
# @USE_LAME_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstlame.so
@USE_MAD_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstmad.so
%package extra-dvd
Summary: DVD plugins for GStreamer
Group: Applications/Multimedia
@USE_A52DEC_TRUE@BuildRequires: a52dec-devel >= 0.7.3
@USE_DVDNAV_TRUE@BuildRequires: libdvdnav-devel >= 0.1.3
@USE_DVDREAD_TRUE@BuildRequires: libdvdread-devel >= 0.9.0
# @USE_A52DEC_TRUE@BuildRequires: a52dec-devel >= 0.7.3
# @USE_DVDNAV_TRUE@BuildRequires: libdvdnav-devel >= 0.1.3
# @USE_DVDREAD_TRUE@BuildRequires: libdvdread-devel >= 0.9.0
Requires: gstreamer-plugins >= %{gstp_minver}
Requires: gstreamer-plugins-extra-video >= %{gstp_minver}
......@@ -363,9 +255,9 @@ Requires(pre): %{_bindir}/gst-register-%{majorminor}
Requires(post): %{_bindir}/gst-register-%{majorminor}
Provides: gstreamer-dvd = %{version}-%{release}
@USE_A52DEC_TRUE@Provides: gstreamer- = %{version}-%{release}
@USE_DVDNAV_TRUE@Provides: gstreamer-dvdnavsrc = %{version}-%{release}
@USE_DVDREAD_TRUE@Provides: gstreamer-dvdreadsrc = %{version}-%{release}
# @USE_A52DEC_TRUE@Provides: gstreamer- = %{version}-%{release}
# @USE_DVDNAV_TRUE@Provides: gstreamer-dvdnavsrc = %{version}-%{release}
# @USE_DVDREAD_TRUE@Provides: gstreamer-dvdreadsrc = %{version}-%{release}
%description extra-dvd
This package contains dvd plugins for GStreamer, including
......@@ -380,22 +272,21 @@ This package contains dvd plugins for GStreamer, including
%files extra-dvd
%defattr(-, root, root, -)
@USE_A52DEC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsta52dec.so
@USE_DVDNAV_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdvdnavsrc.so
@USE_DVDREAD_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdvdreadsrc.so
%{_libdir}/gstreamer-0.8/libgstdvdlpcmdec.so
# @USE_A52DEC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsta52dec.so
# @USE_DVDNAV_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdvdnavsrc.so
# @USE_DVDREAD_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdvdreadsrc.so
%package video
Summary: Additional video plugins for GStreamer
Group: Applications/Multimedia
@USE_AALIB_TRUE@BuildRequires: aalib-devel >= 1.3
# @USE_AALIB_TRUE@BuildRequires: aalib-devel >= 1.3
Requires: gstreamer-plugins >= %{gstp_minver}
Requires(pre): %{_bindir}/gst-register-%{majorminor}
Requires(post): %{_bindir}/gst-register-%{majorminor}
@USE_AALIB_TRUE@Provides: gstreamer-aasink = %{version}-%{release}
# @USE_AALIB_TRUE@Provides: gstreamer-aasink = %{version}-%{release}
%description video
This package contains additional video plugins for GStreamer, including
......@@ -407,12 +298,12 @@ This package contains additional video plugins for GStreamer, including
%files video
%defattr(-, root, root, -)
@USE_AALIB_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so
@USE_LIBDV_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdvdec.so
@USE_DV1394_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgst1394.so
@USE_LIBCACA_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstcacasink.so
@USE_DIRAC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdirac.so
@USE_OPENGL_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstglimagesink.so
# @USE_AALIB_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so
# @USE_LIBDV_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdvdec.so
# @USE_DV1394_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgst1394.so
# @USE_LIBCACA_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstcacasink.so
# @USE_DIRAC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdirac.so
# @USE_OPENGL_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstglimagesink.so
%post video
%{register}
......@@ -423,18 +314,18 @@ This package contains additional video plugins for GStreamer, including
Summary: Extra video plugins for GStreamer
Group: Applications/Multimedia
@USE_LIBFAME_TRUE@BuildRequires: libfame-devel >= 0.9.0
@USE_MPEG2DEC_TRUE@BuildRequires: mpeg2dec-devel >= 0.4.0
@USE_SWFDEC_TRUE@BuildRequires: swfdec-devel
# @USE_LIBFAME_TRUE@BuildRequires: libfame-devel >= 0.9.0
# @USE_MPEG2DEC_TRUE@BuildRequires: mpeg2dec-devel >= 0.4.0
# @USE_SWFDEC_TRUE@BuildRequires: swfdec-devel
Requires: gstreamer-plugins >= %{gstp_minver}
Requires: gstreamer-plugins-extra-audio >= %{gstp_minver}
Requires(pre): %{_bindir}/gst-register-%{majorminor}
Requires(post): %{_bindir}/gst-register-%{majorminor}
@USE_LIBFAME_TRUE@Provides: gstreamer-libfame = %{version}-%{release}
@USE_MPEG2DEC_TRUE@Provides: gstreamer-mpeg2dec = %{version}-%{release}
@USE_SWFDEC_TRUE@Provides: gstreamer-swfdec = %{version}-%{release}
# @USE_LIBFAME_TRUE@Provides: gstreamer-libfame = %{version}-%{release}
# @USE_MPEG2DEC_TRUE@Provides: gstreamer-mpeg2dec = %{version}-%{release}
# @USE_SWFDEC_TRUE@Provides: gstreamer-swfdec = %{version}-%{release}
%description extra-video
This package contains extra video plugins for GStreamer, including
......@@ -449,76 +340,9 @@ This package contains extra video plugins for GStreamer, including
%files extra-video
%defattr(-, root, root, -)
@USE_LIBFAME_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstlibfame.so
@USE_MPEG2DEC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstmp1videoparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg1systemencode.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2subt.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegaudioparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegstream.so
@USE_SWFDEC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstswfdec.so
%package -n gstreamer-plugins-devel
Summary: GStreamer Plugin Library Headers.
Group: Development/Libraries
Requires: gstreamer-plugins = %{version}
Provides: gstreamer-play-devel = %{version}
%description -n gstreamer-plugins-devel
GStreamer support libraries header files.
%files -n gstreamer-plugins-devel
%defattr(-, root, root)
# plugin helper library headers
%{_includedir}/gstreamer-%{majorminor}/gst/audio/audio.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/audioclock.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiofilter.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/multichannel-enumtypes.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/multichannel.h
%{_includedir}/gstreamer-%{majorminor}/gst/floatcast/floatcast.h
%{_includedir}/gstreamer-%{majorminor}/gst/idct/idct.h
%{_includedir}/gstreamer-%{majorminor}/gst/resample/resample.h
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-ids.h
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-media.h
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-read.h
%{_includedir}/gstreamer-%{majorminor}/gst/video/video.h
%{_includedir}/gstreamer-%{majorminor}/gst/video/videosink.h
# plugin interface headers
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixer.h
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixertrack.h
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixer-enumtypes.h
%{_includedir}/gstreamer-%{majorminor}/gst/navigation/navigation.h
%{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/colorbalance.h
%{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/colorbalancechannel.h
%{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/colorbalance-enumtypes.h
%{_includedir}/gstreamer-%{majorminor}/gst/propertyprobe/propertyprobe.h
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tuner.h
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tunerchannel.h
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tunernorm.h
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tuner-enumtypes.h
%{_includedir}/gstreamer-%{majorminor}/gst/xoverlay/xoverlay.h
%{_includedir}/gstreamer-%{majorminor}/gst/xwindowlistener/xwindowlistener.h
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixeroptions.h
# library headers
@USE_GCONF_TRUE@%{_includedir}/gstreamer-%{majorminor}/gst/gconf/gconf.h
%{_includedir}/gstreamer-%{majorminor}/gst/media-info/media-info.h
%{_includedir}/gstreamer-%{majorminor}/gst/play/play.h
%{_includedir}/gstreamer-%{majorminor}/gst/play/play-enumtypes.h
%{_includedir}/gstreamer-%{majorminor}/gst/tag/tag.h
# pkg-config files
@USE_GCONF_TRUE@%{_libdir}/pkgconfig/gstreamer-gconf-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-interfaces-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-libs-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-media-info-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-play-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-plugins-%{majorminor}.pc
# .so files
@USE_GCONF_TRUE@%{_libdir}/libgstgconf-%{majorminor}.so
%{_libdir}/libgstmedia-info-%{majorminor}.so*
%{_libdir}/libgstplay-%{majorminor}.so
%{_libdir}/libgstinterfaces-%{majorminor}.so
# @USE_LIBFAME_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstlibfame.so
# @USE_MPEG2DEC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2dec.so
# @USE_SWFDEC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstswfdec.so
# Here are packages not in the base plugins package but not dependant
# on an external lib
......@@ -526,180 +350,180 @@ GStreamer support libraries header files.
# Here are all the packages depending on external libs #
### ALSA ###
@USE_ALSA_TRUE@%package -n gstreamer-plugins-alsa
@USE_ALSA_TRUE@Summary: GStreamer plug-ins for the ALSA sound system.
@USE_ALSA_TRUE@Group: Applications/Multimedia
@USE_ALSA_TRUE@Requires: gstreamer-plugins = %{version}
@USE_ALSA_TRUE@Obsoletes:gstreamer-alsa
@USE_ALSA_TRUE@
@USE_ALSA_TRUE@Provides: gstreamer-audiosrc
@USE_ALSA_TRUE@Provides: gstreamer-audiosink
@USE_ALSA_TRUE@
@USE_ALSA_TRUE@%description -n gstreamer-plugins-alsa
@USE_ALSA_TRUE@Input and output plug-in for the ALSA soundcard driver system.
@USE_ALSA_TRUE@This plug-in depends on Alsa 0.9.x or higher.
@USE_ALSA_TRUE@
@USE_ALSA_TRUE@%files -n gstreamer-plugins-alsa
@USE_ALSA_TRUE@%defattr(-, root, root)
@USE_ALSA_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstalsa.so
@USE_ALSA_TRUE@
@USE_ALSA_TRUE@%post -n gstreamer-plugins-alsa
@USE_ALSA_TRUE@%{register}
@USE_ALSA_TRUE@%postun -n gstreamer-plugins-alsa
@USE_ALSA_TRUE@%{register}
# @USE_ALSA_TRUE@%package -n gstreamer-plugins-alsa
# @USE_ALSA_TRUE@Summary: GStreamer plug-ins for the ALSA sound system.
# @USE_ALSA_TRUE@Group: Applications/Multimedia
# @USE_ALSA_TRUE@Requires: gstreamer-plugins = %{version}
# @USE_ALSA_TRUE@Obsoletes:gstreamer-alsa
# @USE_ALSA_TRUE@
# @USE_ALSA_TRUE@Provides: gstreamer-audiosrc
# @USE_ALSA_TRUE@Provides: gstreamer-audiosink
# @USE_ALSA_TRUE@
# @USE_ALSA_TRUE@%description -n gstreamer-plugins-alsa
# @USE_ALSA_TRUE@Input and output plug-in for the ALSA soundcard driver system.
# @USE_ALSA_TRUE@This plug-in depends on Alsa 0.9.x or higher.
# @USE_ALSA_TRUE@
# @USE_ALSA_TRUE@%files -n gstreamer-plugins-alsa
# @USE_ALSA_TRUE@%defattr(-, root, root)
# @USE_ALSA_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstalsa.so
# @USE_ALSA_TRUE@
# @USE_ALSA_TRUE@%post -n gstreamer-plugins-alsa
# @USE_ALSA_TRUE@%{register}
# @USE_ALSA_TRUE@%postun -n gstreamer-plugins-alsa
# @USE_ALSA_TRUE@%{register}
## DXR3 ###
@USE_DXR3_TRUE@%package -n gstreamer-plugins-dxr3
@USE_DXR3_TRUE@Summary: GStreamer plug-in for playback using dxr3 card.
@USE_DXR3_TRUE@Group: Applications/Multimedia
@USE_DXR3_TRUE@Requires: gstreamer-plugins = %{version}
@USE_DXR3_TRUE@Requires: em8300 >= 0.12.0
@USE_DXR3_TRUE@BuildRequires: em8300-devel >= 0.12.0
@USE_DXR3_TRUE@Obsoletes: gstreamer-dxr3
@USE_DXR3_TRUE@
@USE_DXR3_TRUE@%description -n gstreamer-plugins-dxr3
@USE_DXR3_TRUE@Plug-in supporting DVD playback using cards
@USE_DXR3_TRUE@with the dxr3 chipset like Hollywood Plus
@USE_DXR3_TRUE@and Creative Labs DVD cards.
@USE_DXR3_TRUE@
@USE_DXR3_TRUE@%files -n gstreamer-plugins-dxr3
@USE_DXR3_TRUE@%defattr(-, root, root)
@USE_DXR3_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdxr3.so
@USE_DXR3_TRUE@
@USE_DXR3_TRUE@%post -n gstreamer-plugins-dxr3
@USE_DXR3_TRUE@%{register}
@USE_DXR3_TRUE@
@USE_DXR3_TRUE@%postun -n gstreamer-plugins-dxr3
@USE_DXR3_TRUE@%{register}
# @USE_DXR3_TRUE@%package -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@Summary: GStreamer plug-in for playback using dxr3 card.
# @USE_DXR3_TRUE@Group: Applications/Multimedia
# @USE_DXR3_TRUE@Requires: gstreamer-plugins = %{version}
# @USE_DXR3_TRUE@Requires: em8300 >= 0.12.0
# @USE_DXR3_TRUE@BuildRequires: em8300-devel >= 0.12.0
# @USE_DXR3_TRUE@Obsoletes: gstreamer-dxr3
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%description -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@Plug-in supporting DVD playback using cards
# @USE_DXR3_TRUE@with the dxr3 chipset like Hollywood Plus
# @USE_DXR3_TRUE@and Creative Labs DVD cards.
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%files -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@%defattr(-, root, root)
# @USE_DXR3_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdxr3.so
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%post -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@%{register}
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%postun -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@%{register}